Bug 816546 - [OSS]cannot use mysql shell for apps with mysql embedded on fedora remix image
[OSS]cannot use mysql shell for apps with mysql embedded on fedora remix image
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
1.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Krishna Raman
libra bugs
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-26 07:18 EDT by Meng Bo
Modified: 2014-06-18 03:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-14 13:22:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2012-04-26 07:18:11 EDT
Description of problem:
ssh login to app with mysql embedded, try to use mysql shell, got
 
ERROR 2002 (HY000): Can't connect to local MySQL server through socket '/var/lib/mysql/mysql.sock' (2)

Version-Release number of selected component (if applicable):
fedora remix image (26-Apr-2012)

How reproducible:
always

Steps to Reproduce:
1.create app
2.embed mysql to it
3.ssh login to the app
4.use mysql shell
mysql
  
Actual results:
cannot connect to mysql server with error:
ERROR 2002 (HY000): Can't connect to local MySQL server through socket '/var/lib/mysql/mysql.sock' (2)

Expected results:
user can use mysql shell without problems.

Additional info:
Comment 1 yquan 2012-04-28 03:08:12 EDT
It still not fixed in latest livecd on Apr 28th.
MD5:a987992d87e59143dc89f031f6544311
So assign back to you.
The service of Mysql is not available caused this bug.

The packages related Mysql:
mysql-5.5.22-1.fc16.x86_64
cartridge-mysql-5.1-0.25.7-1.fc16.noarch
mysql-libs-5.5.22-1.fc16.x86_64
ruby-mysql-2.8.2-3.fc16.x86_64
mysql-devel-5.5.22-1.fc16.x86_64
mysql-server-5.5.22-1.fc16.x86_64


         Thanks
Comment 2 yquan 2012-04-28 04:30:54 EDT
[php0-test.example.com ~]\> mysql
ERROR 2002 (HY000): Can't connect to local MySQL server through socket '/var/lib/mysql/mysql.sock' (2)
[php0-test.example.com ~]\> service mysql status
Redirecting to /bin/systemctl  status mysql.service
mysql.service
	  Loaded: error (Reason: No such file or directory)
	  Active: inactive (dead)
[php0-test.example.com ~]\> service mysqld status
Redirecting to /bin/systemctl  status mysqld.service
mysqld.service - MySQL database server
	  Loaded: loaded (/lib/systemd/system/mysqld.service; disabled)
	  Active: inactive (dead)
	  CGroup: name=systemd:/system/mysqld.service
[php0-test.example.com ~]\> ps -aux|grep mysql
Warning: bad syntax, perhaps a bogus '-'? See /usr/share/doc/procps-3.2.8/FAQ
500       2973  0.0  0.0 114288  1588 ?        S    04:26   0:00 /bin/sh /usr/bin/mysqld_safe --defaults-file=/var/lib/stickshift/7fa1932042a04d2a94c1a25fe2ff971d//mysql-5.1//etc/my.cnf
500       3272  0.3  1.1 410956 34612 ?        Sl   04:26   0:00 /usr/libexec/mysqld --defaults-file=/var/lib/stickshift/7fa1932042a04d2a94c1a25fe2ff971d//mysql-5.1//etc/my.cnf --basedir=/usr --datadir=/var/lib/stickshift/7fa1932042a04d2a94c1a25fe2ff971d//mysql-5.1//data/ --plugin-dir=/usr/lib64/mysql/plugin --log-error=/var/lib/stickshift/7fa1932042a04d2a94c1a25fe2ff971d//mysql-5.1//log/mysql_error.log --pid-file=/var/lib/stickshift/7fa1932042a04d2a94c1a25fe2ff971d//mysql-5.1//pid/mysql.pid --socket=/var/lib/stickshift/7fa1932042a04d2a94c1a25fe2ff971d//mysql-5.1//socket/mysql.sock
Comment 3 yquan 2012-04-28 05:21:27 EDT
The rhcssh doesn't support the mysql command.

Note You need to log in before you can comment on or make changes to this bug.